Layer 7 Identity Management

Expand all | Collapse all

Compatability of Identity Suite 12.6 SP4 with Identity Manager 12.6 SP5

Jump to Best Answer
  • 1.  Compatability of Identity Suite 12.6 SP4 with Identity Manager 12.6 SP5

    Posted 03-24-2015 04:39 PM

    Hi All,

     

    Does anyone have experience with installing the latest version of Identity Manager 12.6 SP5 with Identity Suite 12.6 SP4. We are on a POC and we need the new "File Connector" feature from IDM SP5

     

    The Identity Suite Platform Support Matrix mentions support for IDM 12.6 SP4 and "LATER"

    We are running JBoss 6.3 and the IDM version is 12.6 SP5 and we are unable to locate the following files mentioned in the SIGMA Installation Guide on page 35. The installation guide seems to be written for an IDM SP4 installation, however we are running SP5

     

    We are facing issues trying to locate the Workpoint files as mentioned in the SIGMA installation guide

     

    1. <JBoss IAM.im Deployment Folder>\library\wpClient.jar

    2. <JBoss IAM.im Deployment Folder>\library\wpCommon.jar

    3. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\jbossall-client.jar

    4. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\Jboss\jboss-client.jar

    5. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jboss-common-core.jar <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jboss-integration.jar

    6. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jboss-javaee.jar

    7. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jboss-logging-spi.jar

    8. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jboss-remoting.jar

    9. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jboss-security-spi.jar

    10. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jboss-serialization.jar

    11. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jbosssx-client.jar

    12. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jnp-client.jar

    13. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\policy.jar

     

     

    Any idea on how to move forward with this as we cannot move forward in terms of finding these files which dont exist in the newer installation?

     

    Thanks

    Eren



  • 2.  Re: Compatability of Identity Suite 12.6 SP4 with Identity Manager 12.6 SP5

    Posted 04-06-2015 10:56 AM

    Can anyone else help with this question?

     

    Thank you!

    Eren Ramdhani wrote:

     

    Hi All,

     

    Does anyone have experience with installing the latest version of Identity Manager 12.6 SP5 with Identity Suite 12.6 SP4. We are on a POC and we need the new "File Connector" feature from IDM SP5

     

    The Identity Suite Platform Support Matrix mentions support for IDM 12.6 SP4 and "LATER"

    We are running JBoss 6.3 and the IDM version is 12.6 SP5 and we are unable to locate the following files mentioned in the SIGMA Installation Guide on page 35. The installation guide seems to be written for an IDM SP4 installation, however we are running SP5

     

    We are facing issues trying to locate the Workpoint files as mentioned in the SIGMA installation guide

     

    1. <JBoss IAM.im Deployment Folder>\library\wpClient.jar

    2. <JBoss IAM.im Deployment Folder>\library\wpCommon.jar

    3. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\jbossall-client.jar

    4. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\Jboss\jboss-client.jar

    5. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jboss-common-core.jar <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jboss-integration.jar

    6. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jboss-javaee.jar

    7. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jboss-logging-spi.jar

    8. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jboss-remoting.jar

    9. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jboss-security-spi.jar

    10. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jboss-serialization.jar

    11. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jbosssx-client.jar

    12. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\jnp-client.jar

    13. <CA identity base installation dir>\IAM Suite\Identity Manager\tools\workpoint\lib\JBoss\policy.jar

     

     

    Any idea on how to move forward with this as we cannot move forward in terms of finding these files which dont exist in the newer installation?

     

    Thanks

    Eren



  • 3.  Re: Compatability of Identity Suite 12.6 SP4 with Identity Manager 12.6 SP5
    Best Answer

    Posted 04-07-2015 10:51 AM

    Detailed solution of Support case 00057131 :

    This problem is due to running SIGMA against IM SP5 which is running on JBoss 6.x.

    When the install guide was originally published - SP5 didn't yet exist and there's a difference in the Jars since it runs on JBoss 6.x. Officially, SIGMA 1.5.1 has not been certified for SP5. It does work with it though there is no SM support in that version. SIGMA 1.5.2 is certified for SP5 including SM.

    Either way, what's not working for us here is the list of Workpoint Jars which are different in this version.

    Below is the list of Workpoint Jars for JBoss 6.x

     

    a. <IDM install dir>\IAM Suite\Identity Manager\tools\Workpoint\lib\jbossall-client

    b. <jboss-home>\modules\system\layers\base\org\jboss\as\naming\main\jboss-as-naming-7.2.0.Final-redhat-8

    c. <jboss-home>\bin\client\jboss-client

    d. <jobss-home>\jboss-modules

    e. <jobss-home>\modules\system\layers\base\org\jboss\msc\main\jboss-msc-1.0.4.GA-redhat-1

    f. <iam_im.ear>\library\wpClient

    g. <iam_im.ear>\library\wpCommon

     

    Also, In the Admin UI configure the following:

    1. Edit the "workpoint server address" in the following format : remote://<Server Address>:4447 (IM server address)

    2. In the Workpoint application server: select JBOSS 6.

     

    Last thing you'll need to do is edit the Workpoint context class parameter to org.jboss.naming.remote.client.InitialContextFactory. This value is not available in the dropdown (already fixed in the GA version). the easiest way to do that is connect to the database and locate the connector_properties, locate the com.workpoint.service.context_class attribute and edit the value to org.jboss.naming.remote.client.InitialContextFactory.



  • 4.  Re: Compatability of Identity Suite 12.6 SP4 with Identity Manager 12.6 SP5

    Posted 04-07-2015 01:00 PM

    You will also need to create an application user on the JBOSS 6 itself (the IM machine).  Simply locate the add-user.bat script, create a new user without assigning it to any role.  Enter the user credentials you created to the workpoint user configuration in the SIGMA IM Connector.